<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Ot_input extends CI_Input {

	public function is_ajax_request()
	{
		$requested_with = $this->server('HTTP_X_REQUESTED_WITH');
		// check last request as XMLHttpRequest 	
		if (strpos($requested_with,'XMLHttpRequest')!==false) {
			return true;
		}

		return false;
	}

	public function is_valid_ajax()
	{
		return ($this->is_ajax_request() && $this->is_valid_token());
	}

	public function is_valid_token()
	{
		return true;

		$token	= $this->get_request_header('_t', false);
		$ts	= $this->get_request_header('time', false);

		if (empty($token) || $token == false || $ts == false)
		{
			return false;
		}

		$request_time	= intval($_SERVER['REQUEST_TIME']);
		$random_key		= substr($token, 0, 12);
		$enc_time_stamp	= substr($token, 12);

		$time_stamp = '';
		for ($i=0; $i < strlen($enc_time_stamp); $i++)
		{
			$time_stamp	.= strpos($random_key, $enc_time_stamp[$i]);
		}

		$time_stamp	= intval($time_stamp);
		if ($ts == $time_stamp)
		{
			return true;
		}
//		if (($time_stamp <= $request_time+5 && $time_stamp >= $request_time-5))
//		{
//			return true;
//		}

		// echo 'Request Time : ' . $request_time . PHP_EOL . 'Token : ' . $token . PHP_EOL . 'Random Key : ' . $random_key . PHP_EOL . 'Encrypted TimeStamp : ' . $enc_time_stamp;
		return false;
	}

	public function get_data()
	{
		$data	= array();

		// Check access via ajax or browser
		if ($this->get_request_header('User-agent', TRUE) || $this->is_ajax_request())
		{
			$data	= $this->post();
		}

		$get	= $this->get();
		if (is_array($data) && is_array($get))
			$data = array_merge($get, $data);
					
		return ($data)?$data:$get;
	}
}
