<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

?>
<div id="taskstatussetting" class="box col-md-4 col-sm-4 nm" data-bind="css:{edit_box:_info.is_edit_mode}">
	<div class="panel panel-primary nb">
		<div class="panel-heading dib fw" style="padding:5px 15px;">
			<h4 class="dib vam" style="margin-top:5px;"><?php echo lang('TITLE_TASK_STATUS'); ?></h4>
			<div class="pull-right" style="display:none" data-bind="visible:_info.is_edit_mode">
				<div class="btn-group">
					<button name="save" data-bind="click:save" class="btn btn-success btn-sm">
						<span class="icon-save icon-white"></span>&nbsp;<?php echo lang('SAVE'); ?>
					</button>
					<button name="cancel" data-bind="click:cancel" class="btn btn-primary btn-sm">
						<span class="icon-remove-sign icon-white"></span>
					</button>
				</div>
			</div>
			<div class="pull-right editbox" data-bind="hidden:_info.is_edit_mode">
				<button name="edit" class="btn btn-default btn-sm" data-bind="click:setEdit">
					<span class="icon-pencil"></span>&nbsp;<?php echo lang('EDIT'); ?>
				</button>
			</div>
			<div class="sep">&nbsp;</div>
		</div>
	</div>
	<div id="display" class="content" data-bind="hidden:_info.is_edit_mode, event:{dblClick:setEdit}">
		<div data-bind="sortable: {data:listing, afterMove:sortData}">
			<div class="row nm cm">
				<label class="label col-md-4" data-bind="text:name, style:{backgroundColor:bg_color,color:text_color}"></label>
			</div>
		</div>
	</div>
	<div id="task-status-edit" data-bind="visible:_info.is_edit_mode"></div>
</div>