<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

switch ($name)
{
	case 'view': ?>
		<div class="row" data-bind="css:{'new-mode':parent().is_new_mode}">
			<div data-bind="css:{'col-lg-8 col-md-8 col-xs-12':is_comment_mode()==false,'col-lg-12 col-md-12 col-xs-12':is_comment_mode()==true}">
				<div class="btn-group pull-right showNew" style="z-index:1;">
					<button class="btn btn-sm btn-success" id="save" data-bind="click:parent().saveAll" name="save">
						<i class="icon-save icon-white">&nbsp;</i><?php echo lang('SAVE'); ?>
					</button>
					<button class="btn btn-sm btn-primary" id="cancel" data-bind="click:cancel" name="cancel">
						<i class="icon-remove-sign icon-white">&nbsp;</i>
					</button>
				</div>
				<?php
					$this->load->view('project/project_content');
				?>
				<div class="col-md-12 np box showNew">
					<div class="col-md-6 col-sm-12 col-xs-12 np ">
						<?php $this->load->view('project/budget', array('class'=>'forNew')); ?>
					</div>
					<div class="pull-right col-md-5 col-sm-12 col-xs-12 np">
						<?php $this->load->view('project/invoice'); ?>
					</div>
				</div>
				<?php 
					$this->load->view('project/task_type');
					$this->load->view('project/team');
				?>				
				<div class="col-md-12 np box showNew">
					<?php $this->load->view('project/document');?>
				</div>
				<div class="btn-save-ctl fw showNew">
					<div class="btn-group pull-right" style="padding-bottom:18px">
						<button class="btn btn-sm btn-success" id="save" data-bind="click:parent().saveAll" name="save">
							<i class="icon-save icon-white">&nbsp;</i><?php echo lang('SAVE'); ?>
						</button>
						<button class="btn btn-sm btn-primary" id="cancel" data-bind="click:cancel" name="cancel">
							<i class="icon-remove-sign icon-white">&nbsp;</i>
						</button>
					</div>
				</div>
			</div>
			<div class="cutter-top" data-bind="css:{'col-lg-4 col-md-4 col-xs-12':is_comment_mode()==false,'col-lg-12 col-md-12 col-xs-12':is_comment_mode()==true}">
			<?php
				$this->load->view('project/budget', array('class'=>'hideNew'));
				$this->load->view('project/invoice', array('class'=>'hideNew'));
			?>
			<?php
				$this->load->view('project/task', array('class'=>'hideNew'));
				$this->load->view('project/document', array('class'=>'hideNew'));
			?>			
			</div>			
		</div>		
<?php
		break;
	case 'new':
		$this->load->view('project/new');
		break;
	case 'budgetcontent':
		$this->load->view('project/budget');
		break;
	case 'invoicecontent':
		$this->load->view('project/invoice');
		break;	
	case 'documentcontent':
		$this->load->view('project/document');
		break;
	case 'comments':
		// $this->load->view('comments/timeline');
		?>
		<div id="right-pane" class="col-xs-12 col-sm-6 col-md-6 col-lg-4 dib open">
			<div id="comments-container" class="panel sidebar-fixed-header panel-custom nm" data-bind="with:rp">
				<div class="panel-body minrp">
					<style type="text/css">.panel.sidebar-fixed-header .panel-body{top:0;}</style>
					<!-- ko if:$parent.rp_min_view --><?php
					$this->load->view('comments/timeline', array('module' => 'minimal', 'is_script_only' => '1'));
					?><!-- /ko -->
					<!-- ko ifnot:$parent.rp_min_view -->
					<!-- ko ifnot:$parent.is_detail -->
					<div class="tab-pane active"><?php
						$this->load->view('comments/timeline', array('module' => 'expanded', 'is_script_only' => '1'));
					?></div>
					<!-- /ko -->
					<!-- /ko -->
				</div>
			</div>
		</div><?php
		break;
} ?>

<script type="text/javascript">
Otime.Project.active_roles	= <?php echo json_encode($roles); ?>;
</script>
