<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	$is_ajax_request	= $this->input->is_ajax_request();

	if (!$is_ajax_request)
	{
		$this->load->view("header");
	}

?>
<div id="update-container" class="dib fw fh">
	<div class="page-header-bar">
		<div id="alert_message" class="ac col-md-9 fix-it"><?php echo $this->session->flashdata('update_message'); ?></div>
		<span class="title"><?php echo lang('OUTPUTTIME_UPDATE'); ?></span>
	</div>
	<div id="list-container" class="dib fw fh">
		<div class="row nm fw">
			<div class="col-sm-6" style="border-right: 1px dashed #00AF00;">
				<div class="row nm fw h4">
					<span class="col-sm-5 control-label"><?php echo lang('LATEST_VERSION'); ?></span>
					<span class="col-sm-7 control-label"><?php echo $latest_version; ?></span>
					<span class="clearfix dib fw">&nbsp;</span>
				</div>
				<div class="row nm fw h4">
					<span class="col-sm-5 control-label"><?php echo lang('CURRENT_VERSION'); ?></span>
					<span class="col-sm-7 control-label"><?php echo $installed_version; ?></span>
					<span class="clearfix dib fw">&nbsp;</span>
				</div>
				<div class="row nm fw">
				<?php if (!empty($version_list)): ?>
					<span class="col-sm-5 h4 control-label"><?php echo lang('AVAILABLE_UPDATES'); ?></span>
					<ul class="version-list list-unstyled col-sm-7">
						<li class="h4"><a class="cp blue" href="<?php echo site_url('update/latest'); ?>"><?php echo lang('UPDATE_TO_LATEST'); ?></a></li>
						<?php /*foreach ($version_list as $val): ?>
						<li><a class="cp blue" href="<?php echo site_url('update/version/' . $val); ?>"><?php echo($val); ?></a></li>
						<?php endforeach;*/ ?>
					</ul>
				<?php endif; ?>
				<?php if (!empty($message)): ?>
					</br>
					<label class="col-sm-12 control-label"><?php echo nl2br($message); ?></label>
				<?php endif; ?>
				</div>
			</div>
			<?php if (!empty($backup_list)): ?>
			<div class="col-sm-6">
				<div class="row nm fw">
					<span class="col-sm-5 h4 control-label"><?php echo lang('REVERT_TO'); ?></span>
					<ul class="backup-list list-unstyled col-sm-7">
						<?php foreach ($backup_list as $key=>$val): ?>
						<li><a class="cp blue" href="<?php echo site_url('update/revert/' . $val); ?>"><?php echo($key); ?></a></li>
						<?php endforeach; ?>
					</ul>
					<?php /*
					<span class="col-sm-7 h4 control-label"><?php echo lang('NILL'); ?></span>
					*/?>
					<span class="clearfix dib fw">&nbsp;</span>
				</div>
			</div>
			<?php endif; ?>
		</div>
	</div>
</div>
<?php
	if (!$is_ajax_request)
	{
		$this->load->view("footer");
	}

	$jslang	= array();
	$tmp	= array(
		'REVERT_CONFIRM',
		'UPDATE_CONFIRM'
	);
	foreach ($tmp as $val)
	{
		$jslang[$val]	= lang($val);
	}

?>
<script type="text/javascript">
	//$(document).ready(function(){
		// Otime.Update.language	= <?php // echo json_encode($jslang); ?>;
		// window.Otime.load("Update");
	//});
</script>
